# cv::SparseMat::Node Struct Reference

sparse matrix node - element of a hash table More...

`#include <core.hpp>`

List of all members.

## Public Attributes

size_t | hashval
| hash value
int | idx [CV_MAX_DIM]
| index of the matrix element
size_t | next
| index of the next node in the same hash table entry

## Detailed Description

sparse matrix node - element of a hash table

## Member Data Documentation

size_t cv::SparseMat::Node::hashval

hash value

int cv::SparseMat::Node::idx[CV_MAX_DIM]

index of the matrix element

size_t cv::SparseMat::Node::next

index of the next node in the same hash table entry

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines